Consulta de chave Pix
Antes de pagar, confira no DICT quem é o titular de uma chave Pix e em qual instituição a conta está.
Autorização
BearerAuth AutorizaçãoBearer <token>
Em: header
Parâmetros de query
pixKey*string
A chave Pix a consultar (CPF, CNPJ, email, telefone ou EVP).
Tamanho
1 <= length <= 77Corpo da resposta
application/json
application/json
application/json
curl --request GET \ --url 'https://api.payzu.processamento.com/v1/pix/key?pixKey=example%40payzu.com.br' \ --header 'Authorization: Bearer $PAYZU_TOKEN'const url = 'https://api.payzu.processamento.com/v1/pix/key?pixKey=example%40payzu.com.br';const response = await fetch(url, { method: 'GET', headers: { Authorization: `Bearer ${process.env.PAYZU_TOKEN}`, },});const data = await response.json();console.log(data);import osimport requestsresponse = requests.get( 'https://api.payzu.processamento.com/v1/pix/key?pixKey=example%40payzu.com.br', headers={ 'Authorization': f'Bearer {os.environ["PAYZU_TOKEN"]}', },)print(response.json()){
"pixKey": "5c8999e2-6b29-468b-b4e9-04d4872b1bc4",
"document": "**.345.678/****-**",
"name": "EMPRESA EXEMPLO LTDA",
"branch": "****",
"accountNumber": "*******",
"personType": "PJ",
"accountType": "CACC",
"institutionIspb": "12345678",
"institutionCode": "001",
"institutionName": "BANCO EXEMPLO S.A."
}